> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/upload-files-with-the-geopard-api.md).

# Bestanden uploaden met de GeoPard API

{% hint style="success" %}
De aanbevolen aanpak voor bestanden groter dan 6 MB is de [flow met vooraf ondertekende URL](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

Met de GeoPard API kunt u ZIP-archieven uploaden met bodem-, opbrengst-, toegepaste-bewerkingen- en perceelgrensdatasets voor verdere verwerking en analyse.

{% hint style="danger" %}
Vanwege een beperking van AWS is de maximale bestandsgrootte die u via dit REST-eindpunt kunt uploaden 6 MB.
{% endhint %}

De uploadstappen voor bestanden groter dan 6 MB worden beschreven in [ZIP-bestanden uploaden (groter dan 6 MB)](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Direct nadat de bodem-, opbrengst- of toegepaste-bewerkingen-dataset is geüpload, koppelt de GeoPard-engine deze aan de bijbehorende percelen binnen de opgegeven boerderij.

Direct nadat de perceelgrens is geüpload, start de GeoPard-engine de verwerking ervan.

Het antwoord bevat een `<uuid>` die u kunt gebruiken om de verwerkingsstatus bij te houden.

#### Voorbeeldverzoek:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

De parameters zijn:

1. `<type>` - het type van de geüploade dataset. Dit moet een `yield` OF `soil` OF `applied` OF `boundary`.
2. `<farm_uuid>` - de `uuid` van de boerderij waarnaar het bestand wordt geüpload (optioneel).
3. `<token>` - GeoPard-toegangstoken.
4. `@path/to/file.zip` - het pad naar het bestand dat wordt geüpload.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
